Bug 86954 - New port: devel/guichan a portable C++ GUI library designed for games
Summary: New port: devel/guichan a portable C++ GUI library designed for games
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcus Alves Grando
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-05 21:00 UTC by Tobias Gion
Modified: 2005-10-12 03:37 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Gion 2005-10-05 21:00:13 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	guichan
#	guichan/pkg-plist
#	guichan/pkg-descr
#	guichan/distinfo
#	guichan/Makefile
#	guichan/files
#	guichan/files/patch-configure.in
#	guichan/files/patch-src-sdl-sdlimageloader.cpp
#
echo c - guichan
mkdir -p guichan > /dev/null 2>&1
echo x - guichan/pkg-plist
sed 's/^X//' >guichan/pkg-plist << 'END-of-guichan/pkg-plist'
Xinclude/guichan.hpp
Xinclude/guichan/actionlistener.hpp
Xinclude/guichan/allegro.hpp
Xinclude/guichan/basiccontainer.hpp
Xinclude/guichan/cliprectangle.hpp
Xinclude/guichan/color.hpp
Xinclude/guichan/defaultfont.hpp
Xinclude/guichan/exception.hpp
Xinclude/guichan/focushandler.hpp
Xinclude/guichan/font.hpp
Xinclude/guichan/graphics.hpp
Xinclude/guichan/gui.hpp
Xinclude/guichan/image.hpp
Xinclude/guichan/imagefont.hpp
Xinclude/guichan/imageloader.hpp
Xinclude/guichan/input.hpp
Xinclude/guichan/key.hpp
Xinclude/guichan/keyinput.hpp
Xinclude/guichan/keylistener.hpp
Xinclude/guichan/listmodel.hpp
Xinclude/guichan/mouseinput.hpp
Xinclude/guichan/mouselistener.hpp
Xinclude/guichan/opengl.hpp
Xinclude/guichan/opengl/openglgraphics.hpp
Xinclude/guichan/opengl/openglimageloader.hpp
Xinclude/guichan/platform.hpp
Xinclude/guichan/rectangle.hpp
Xinclude/guichan/sdl.hpp
Xinclude/guichan/sdl/sdlgraphics.hpp
Xinclude/guichan/sdl/sdlimageloader.hpp
Xinclude/guichan/sdl/sdlinput.hpp
Xinclude/guichan/widget.hpp
Xinclude/guichan/widgets/button.hpp
Xinclude/guichan/widgets/checkbox.hpp
Xinclude/guichan/widgets/container.hpp
Xinclude/guichan/widgets/dropdown.hpp
Xinclude/guichan/widgets/icon.hpp
Xinclude/guichan/widgets/label.hpp
Xinclude/guichan/widgets/listbox.hpp
Xinclude/guichan/widgets/radiobutton.hpp
Xinclude/guichan/widgets/scrollarea.hpp
Xinclude/guichan/widgets/slider.hpp
Xinclude/guichan/widgets/textbox.hpp
Xinclude/guichan/widgets/textfield.hpp
Xinclude/guichan/widgets/window.hpp
Xinclude/guichan/x.hpp
Xlib/libguichan.a
Xlib/libguichan.so
Xlib/libguichan.so.0
Xlib/libguichan_opengl.a
Xlib/libguichan_opengl.so
Xlib/libguichan_opengl.so.0
Xlib/libguichan_sdl.a
Xlib/libguichan_sdl.so
Xlib/libguichan_sdl.so.0
X@dirrm include/guichan/widgets
X@dirrm include/guichan/sdl
X@dirrm include/guichan/opengl
X@dirrm include/guichan
END-of-guichan/pkg-plist
echo x - guichan/pkg-descr
sed 's/^X//' >guichan/pkg-descr << 'END-of-guichan/pkg-descr'
XA small, efficient C++ GUI library designed for games.
X
XWWW: http://guichan.sourceforge.net/
X
X- Tobias Gion
Xinfo@gionet.de
END-of-guichan/pkg-descr
echo x - guichan/distinfo
sed 's/^X//' >guichan/distinfo << 'END-of-guichan/distinfo'
XMD5 (guichan-0.4.0-src.tar.gz) = f68b6c603c4fb3d70a8737f916214a35
XSIZE (guichan-0.4.0-src.tar.gz) = 1274735
END-of-guichan/distinfo
echo x - guichan/Makefile
sed 's/^X//' >guichan/Makefile << 'END-of-guichan/Makefile'
X# New ports collection makefile for:	guichan
X# Date created: 	03 Oktober 2005
X# Whom: 		Tobias Gion
X#
X# $FreeBSD$
X#
X
XPORTNAME=	guichan
XPORTVERSION=	0.4.0
XCATEGORIES=	devel
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	${PORTNAME}
XEXTRACT_SUFX=	-src.tar.gz
X
XMAINTAINER=	freebsd@gionet.de
XCOMMENT=	A small, efficient C++ GUI library designed for games
X
XLIB_DEPENDS=	SDL-1.1.7:${PORTSDIR}/devel/sdl12 \
X		SDL_image.10:${PORTSDIR}/graphics/sdl_image \
X		GL.1:${PORTSDIR}/x11/libGL
X
XUSE_GMAKE=	yes
XUSE_LIBTOOL_VER=15
X
XGNU_CONFIGURE=	yes
XCONFIGURE_ARGS=	--disable-allegro
X
XCONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include -I${LOCALBASE}/include/SDL11 \
X		-I${X11BASE}/include" \
X		LDFLAGS="-L${LOCALBASE}/lib -L${X11BASE}/lib" \
X		CXXFLAGS="-lpthread"
X
XINSTALLS_SHLIB= yes
XLDCONFIG_DIRS=  %%LOCALBASE%%/lib
X
Xpre-configure:
X	(cd $(WRKSRC) && ./autogen.sh)
X
X.include <bsd.port.mk>
END-of-guichan/Makefile
echo c - guichan/files
mkdir -p guichan/files > /dev/null 2>&1
echo x - guichan/files/patch-configure.in
sed 's/^X//' >guichan/files/patch-configure.in << 'END-of-guichan/files/patch-configure.in'
X*** configure.in	Mon Oct  3 17:50:19 2005
X--- configure.in.patch	Mon Oct  3 17:50:42 2005
X***************
X*** 170,176 ****
X                , enable_force_sdlimage=no)
X  if test x$enable_sdlimage = xyes; then
X    if test x$enable_force_sdlimage = xno; then
X!     AC_CHECK_HEADERS([SDL/SDL_image.h])
X      AC_CHECK_LIB([SDL_image], [IMG_Load], HaveSDLImage, NoSDLImage)
X    else
X      ForceSDLImage
X--- 170,176 ----
X                , enable_force_sdlimage=no)
X  if test x$enable_sdlimage = xyes; then
X    if test x$enable_force_sdlimage = xno; then
X!     AC_CHECK_HEADERS([SDL_image.h])
X      AC_CHECK_LIB([SDL_image], [IMG_Load], HaveSDLImage, NoSDLImage)
X    else
X      ForceSDLImage
X***************
X*** 205,211 ****
X                , enable_force_sdl=no)
X  if test x$enable_sdl = xyes; then
X    if test x$enable_force_sdl = xno; then
X!     AC_CHECK_HEADERS(SDL/SDL.h)
X      AC_CHECK_PROG(HAVE_SDL, sdl-config, yes)
X      if test "x$HAVE_SDL" != "xyes"; then
X        SDL="no"
X--- 205,211 ----
X                , enable_force_sdl=no)
X  if test x$enable_sdl = xyes; then
X    if test x$enable_force_sdl = xno; then
X!     AC_CHECK_HEADERS(SDL.h)
X      AC_CHECK_PROG(HAVE_SDL, sdl-config, yes)
X      if test "x$HAVE_SDL" != "xyes"; then
X        SDL="no"
END-of-guichan/files/patch-configure.in
echo x - guichan/files/patch-src-sdl-sdlimageloader.cpp
sed 's/^X//' >guichan/files/patch-src-sdl-sdlimageloader.cpp << 'END-of-guichan/files/patch-src-sdl-sdlimageloader.cpp'
X*** src/sdl/sdlimageloader.cpp	Tue May 17 21:23:06 2005
X--- src/sdl/sdlimageloader.cpp.patch	Mon Oct  3 17:51:18 2005
X***************
X*** 56,62 ****
X   * For comments regarding functions please see the header file. 
X   */
X  
X! #include <SDL/SDL_image.h>
X  
X  #include "guichan/sdl/sdlimageloader.hpp"
X  #include "guichan/exception.hpp"
X--- 56,62 ----
X   * For comments regarding functions please see the header file. 
X   */
X  
X! #include "SDL_image.h"
X  
X  #include "guichan/sdl/sdlimageloader.hpp"
X  #include "guichan/exception.hpp"
END-of-guichan/files/patch-src-sdl-sdlimageloader.cpp
exit
Comment 1 Marcus Alves Grando freebsd_committer 2005-10-05 22:04:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mnag

I'll take it.
Comment 2 Marcus Alves Grando freebsd_committer 2005-10-06 13:54:52 UTC
Dear submitter,

Can you investigate this problem?

http://marcus.grupos.com.br:8080/errors/6-STABLE-FreeBSD/guichan-0.4.0.log

In 4.x does not compile too.

Thanks

-- 
Marcus Alves Grando
marcus(at)corp.grupos.com.br  |  Grupos Internet S/A
  mnag(at)FreeBSD.org         |  FreeBSD.org
Comment 3 Marcus Alves Grando freebsd_committer 2005-10-06 13:55:10 UTC
State Changed
From-To: open->feedback

Ask for fix.
Comment 4 kermit 2005-10-07 20:55:31 UTC
Hello Marcus,

i removed the lib dependency for libGL-1.0_1.
I thought it was needed, but the lib i need is installed by the 
xorg-libraries-6.8.2 port. Sorry fot that, i shoud read better ;-)

I hope its the right way to send this back to you, or do i have to send 
a new bug-report??

best wishes, Tobias


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#    guichan
#    guichan/pkg-plist
#    guichan/pkg-descr
#    guichan/distinfo
#    guichan/Makefile
#    guichan/files
#    guichan/files/patch-configure.in
#    guichan/files/patch-src-sdl-sdlimageloader.cpp
#
echo c - guichan
mkdir -p guichan > /dev/null 2>&1
echo x - guichan/pkg-plist
sed 's/^X//' >guichan/pkg-plist << 'END-of-guichan/pkg-plist'
Xinclude/guichan.hpp
Xinclude/guichan/actionlistener.hpp
Xinclude/guichan/allegro.hpp
Xinclude/guichan/basiccontainer.hpp
Xinclude/guichan/cliprectangle.hpp
Xinclude/guichan/color.hpp
Xinclude/guichan/defaultfont.hpp
Xinclude/guichan/exception.hpp
Xinclude/guichan/focushandler.hpp
Xinclude/guichan/font.hpp
Xinclude/guichan/graphics.hpp
Xinclude/guichan/gui.hpp
Xinclude/guichan/image.hpp
Xinclude/guichan/imagefont.hpp
Xinclude/guichan/imageloader.hpp
Xinclude/guichan/input.hpp
Xinclude/guichan/key.hpp
Xinclude/guichan/keyinput.hpp
Xinclude/guichan/keylistener.hpp
Xinclude/guichan/listmodel.hpp
Xinclude/guichan/mouseinput.hpp
Xinclude/guichan/mouselistener.hpp
Xinclude/guichan/opengl.hpp
Xinclude/guichan/opengl/openglgraphics.hpp
Xinclude/guichan/opengl/openglimageloader.hpp
Xinclude/guichan/platform.hpp
Xinclude/guichan/rectangle.hpp
Xinclude/guichan/sdl.hpp
Xinclude/guichan/sdl/sdlgraphics.hpp
Xinclude/guichan/sdl/sdlimageloader.hpp
Xinclude/guichan/sdl/sdlinput.hpp
Xinclude/guichan/widget.hpp
Xinclude/guichan/widgets/button.hpp
Xinclude/guichan/widgets/checkbox.hpp
Xinclude/guichan/widgets/container.hpp
Xinclude/guichan/widgets/dropdown.hpp
Xinclude/guichan/widgets/icon.hpp
Xinclude/guichan/widgets/label.hpp
Xinclude/guichan/widgets/listbox.hpp
Xinclude/guichan/widgets/radiobutton.hpp
Xinclude/guichan/widgets/scrollarea.hpp
Xinclude/guichan/widgets/slider.hpp
Xinclude/guichan/widgets/textbox.hpp
Xinclude/guichan/widgets/textfield.hpp
Xinclude/guichan/widgets/window.hpp
Xinclude/guichan/x.hpp
Xlib/libguichan.a
Xlib/libguichan.so
Xlib/libguichan.so.0
Xlib/libguichan_opengl.a
Xlib/libguichan_opengl.so
Xlib/libguichan_opengl.so.0
Xlib/libguichan_sdl.a
Xlib/libguichan_sdl.so
Xlib/libguichan_sdl.so.0
X@dirrm include/guichan/widgets
X@dirrm include/guichan/sdl
X@dirrm include/guichan/opengl
X@dirrm include/guichan
END-of-guichan/pkg-plist
echo x - guichan/pkg-descr
sed 's/^X//' >guichan/pkg-descr << 'END-of-guichan/pkg-descr'
XA small, efficient C++ GUI library designed for games.
X
XWWW: http://guichan.sourceforge.net/
X
X- Tobias Gion
Xinfo@gionet.de
END-of-guichan/pkg-descr
echo x - guichan/distinfo
sed 's/^X//' >guichan/distinfo << 'END-of-guichan/distinfo'
XMD5 (guichan-0.4.0-src.tar.gz) = f68b6c603c4fb3d70a8737f916214a35
XSIZE (guichan-0.4.0-src.tar.gz) = 1274735
END-of-guichan/distinfo
echo x - guichan/Makefile
sed 's/^X//' >guichan/Makefile << 'END-of-guichan/Makefile'
X# New ports collection makefile for:    guichan
X# Date created:     03 Oktober 2005
X# Whom:         Tobias Gion
X#
X# $FreeBSD$
X#
X
XPORTNAME=    guichan
XPORTVERSION=    0.4.0
XCATEGORIES=    devel
XMASTER_SITES=    ${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=    ${PORTNAME}
XEXTRACT_SUFX=    -src.tar.gz
X
XMAINTAINER=    freebsd@gionet.de
XCOMMENT=    A small, efficient C++ GUI library designed for games
X
XLIB_DEPENDS=    SDL-1.1.7:${PORTSDIR}/devel/sdl12 \
X        SDL_image.10:${PORTSDIR}/graphics/sdl_image
X
XUSE_GMAKE=    yes
XUSE_LIBTOOL_VER=15
X
XGNU_CONFIGURE=    yes
XCONFIGURE_ARGS=    --disable-allegro
X
XCONFIGURE_ENV=    CPPFLAGS="-I${LOCALBASE}/include 
-I${LOCALBASE}/include/SDL11 \
X        -I${X11BASE}/include" \
X        LDFLAGS="-L${LOCALBASE}/lib -L${X11BASE}/lib" \
X        CXXFLAGS="-lpthread"
X
XINSTALLS_SHLIB= yes
XLDCONFIG_DIRS=  %%LOCALBASE%%/lib
X
Xpre-configure:
X    (cd $(WRKSRC) && ./autogen.sh)
X
X.include <bsd.port.mk>
END-of-guichan/Makefile
echo c - guichan/files
mkdir -p guichan/files > /dev/null 2>&1
echo x - guichan/files/patch-configure.in
sed 's/^X//' >guichan/files/patch-configure.in << 
'END-of-guichan/files/patch-configure.in'
X*** configure.in    Mon Oct  3 17:50:19 2005
X--- configure.in.patch    Mon Oct  3 17:50:42 2005
X***************
X*** 170,176 ****
X                , enable_force_sdlimage=no)
X  if test x$enable_sdlimage = xyes; then
X    if test x$enable_force_sdlimage = xno; then
X!     AC_CHECK_HEADERS([SDL/SDL_image.h])
X      AC_CHECK_LIB([SDL_image], [IMG_Load], HaveSDLImage, NoSDLImage)
X    else
X      ForceSDLImage
X--- 170,176 ----
X                , enable_force_sdlimage=no)
X  if test x$enable_sdlimage = xyes; then
X    if test x$enable_force_sdlimage = xno; then
X!     AC_CHECK_HEADERS([SDL_image.h])
X      AC_CHECK_LIB([SDL_image], [IMG_Load], HaveSDLImage, NoSDLImage)
X    else
X      ForceSDLImage
X***************
X*** 205,211 ****
X                , enable_force_sdl=no)
X  if test x$enable_sdl = xyes; then
X    if test x$enable_force_sdl = xno; then
X!     AC_CHECK_HEADERS(SDL/SDL.h)
X      AC_CHECK_PROG(HAVE_SDL, sdl-config, yes)
X      if test "x$HAVE_SDL" != "xyes"; then
X        SDL="no"
X--- 205,211 ----
X                , enable_force_sdl=no)
X  if test x$enable_sdl = xyes; then
X    if test x$enable_force_sdl = xno; then
X!     AC_CHECK_HEADERS(SDL.h)
X      AC_CHECK_PROG(HAVE_SDL, sdl-config, yes)
X      if test "x$HAVE_SDL" != "xyes"; then
X        SDL="no"
END-of-guichan/files/patch-configure.in
echo x - guichan/files/patch-src-sdl-sdlimageloader.cpp
sed 's/^X//' >guichan/files/patch-src-sdl-sdlimageloader.cpp << 
'END-of-guichan/files/patch-src-sdl-sdlimageloader.cpp'
X*** src/sdl/sdlimageloader.cpp    Tue May 17 21:23:06 2005
X--- src/sdl/sdlimageloader.cpp.patch    Mon Oct  3 17:51:18 2005
X***************
X*** 56,62 ****
X   * For comments regarding functions please see the header file.
X   */
X 
X! #include <SDL/SDL_image.h>
X 
X  #include "guichan/sdl/sdlimageloader.hpp"
X  #include "guichan/exception.hpp"
X--- 56,62 ----
X   * For comments regarding functions please see the header file.
X   */
X 
X! #include "SDL_image.h"
X 
X  #include "guichan/sdl/sdlimageloader.hpp"
X  #include "guichan/exception.hpp"
END-of-guichan/files/patch-src-sdl-sdlimageloader.cpp
exit
Comment 5 Marcus Alves Grando freebsd_committer 2005-10-12 03:37:03 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!